﻿#language: ru

@cheese_maker

Функционал: 07_cheeseMaker.02.000 Поступление материалов

Сценарий: 07_cheeseMaker.02.000 Создание серии для Ароматизатор Масло 16256 (масло) от 12.02.2019
	Дано Я подключаюсь под "Мастер сырцеха"
	И Я создаю серию для "Ароматизатор Масло 16256 (масло)" с номером "12" датой выпуска "12.02.2019" и датой годности ""

Сценарий: 07_cheeseMaker.02.000 Создание серии для Закваска Ceska L 100 от 13.02.2019
	И Я создаю серию для "Закваска Ceska L 100" с номером "13" датой выпуска "13.02.2019" и датой годности ""

Сценарий: 07_cheeseMaker.02.000 Создание серии для Краситель Бета-каротин FS 30% от 14.02.2019
	И Я создаю серию для "Краситель Бета-каротин FS 30%" с номером "14" датой выпуска "14.02.2019" и датой годности ""

Сценарий: 07_cheeseMaker.02.000 Создание серии для БАКТЕРИАЛЬНЫЙ КОНЦЕНТРАТ БК-УГЛИЧ-№4 производственная от 15.02.2019
	И Я создаю серию для "БАКТЕРИАЛЬНЫЙ КОНЦЕНТРАТ БК-УГЛИЧ-№4 производственная" с номером "15" датой выпуска "15.02.2019" и датой годности ""

Сценарий: 07_cheeseMaker.02.000 Поступление материалов
	И В командном интерфейсе я выбираю 'Производство' 'Инвентаризация'
	Тогда открылось окно 'Инвентаризация'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Инвентаризация (создание)'
	И в поле 'от' я ввожу текст '11.03.2019 12:15:12'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                     |
		| 'Ароматизатор Масло 16256 (масло)' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '12'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоФакт' я ввожу текст '50,000'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Закваска Ceska L 100' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" я активизирую поле с именем "ТоварыСерия"
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '13'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоФакт' я ввожу текст '100,000'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  |
		| 'Краситель Бета-каротин FS 30%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" я активизирую поле с именем "ТоварыСерия"
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '14'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоФакт' я ввожу текст '100,000'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                                          |
		| 'БАКТЕРИАЛЬНЫЙ КОНЦЕНТРАТ БК-УГЛИЧ-№4 производственная' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" я активизирую поле с именем "ТоварыСерия"
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '15'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" я активизирую поле с именем "ТоварыКоличествоФакт"
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоФакт' я ввожу текст '100,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Инвентаризация * от *'
	И я нажимаю на кнопку 'Оприходование товаров'
	Тогда открылось окно 'Оприходование товаров (создание) *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Оприходование товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризация * от *'
	И Я закрываю окно 'Инвентаризация * от *'
	Тогда открылось окно 'Инвентаризация'
	И Я закрываю окно 'Инвентаризация'